smallseo.info

16.04 interview questions

Top 16.04 frequently asked interview questions

How do I install openjdk 7 on Ubuntu 16.04?

I would like to upgrade my main system to 16.04, but I work on projects that require OpenJDK 7.

Apparently it is not available from a trivial apt-get install openjdk-7-jdk. Only versions 8 and 9 are listed in the repository.

Can anyone point me to instructions on how to install it?


Source: (StackOverflow)

Slow shutdown on Ubuntu 16.04 LTS (Stopping thermal daemon/running fit make remote CUPS printers)

after a clean install of Ubuntu 16.04 LTS, I am experiencing very slow shutdowns compared with 15.10. There seems to be one oftwo processes that hang upon shutdown. Startup is not affected at all. When pressing (esc) the following are shown. Either:

"Stopping thermal daemon services" hangs, or "A stop job is running for remote CUPS printers available locally", before a timer to 1 min 30 seconds is up, after which the machine finally shuts down.

Are there any other people experiencing this? This is most odd. Any ides as to what could be the reasons behind these two hangs?

Thanks all.


Source: (StackOverflow)

Eclipse not working in 16.04

Eclipse was working as good as anything on 14.04. I did a clean install of 16.04 and installed Eclipse. But it runs a Java program only once after which it just hangs during subsequent attempts before I remove and reinstall it. I have tried many things, since in the beginning I needed CDT as well. Right now, I just want to remove everything related to eclipse and do a fresh install (remove all the configs and dependencies). Please note that I used Eclipse installer to install Eclipse and the eclipse icon image is also not appearing (the default ubuntu ? is appearing).


Source: (StackOverflow)

How do I downgrade Gedit to a previous (3.10.4) Version in Ubuntu 16.04 LTS

As the title already says: I have some plug-ins which don't run with gedit 3.18.3 which is shipped with Ubuntu 16.04 LTS.

How can I downgrade to the version 3.10.4 which was used in Ubuntu 14.04 LTS and Ubuntu 15.10 and get all the plug-ins possible installed?

And how do I revert it back to 3.18.3 if 3.10.4 is not needed any more.


Source: (StackOverflow)

How to correctly pronounce Xenial Xerus?

When referring to the latest Ubuntu 16.04 to friends, I often struggle about the pronunciation of "Xenial Xerus".

Is there a universal pronunciation form? If so, which is? If not, how to determine the pronunciation in my native non-English language?

Note: I am aware of a related question about Xubuntu. However, there are quite a few differences between u and e which might alter the pronunciation (like in "gel" and "gun").


Source: (StackOverflow)

How can I downgrade from PHP 7 to PHP 5.6 on Ubuntu 16.04? [duplicate]

I am trying to revert my PHP version to 5.6 from 7 and though I removed PHP 7 and then installed PHP 5.6 I still seem to be running version 7.

Is there a simple method for moving through PHP versions where apache, phpMyAdmin and co are configured appropriately?

A simple way to change the current version of PHP on the fly and even site by site would be great.


Source: (StackOverflow)

16.04 upgrade broke mysql-server

My overall upgrade went well, but I am left with a critically lingering issue of mysql-server not being able to install itself, and nothing I am trying gets it to work.

This is the error I see when trying to install/reinstall it:

Setting up mysql-server-5.7 (5.7.11-0ubuntu6) ...
Job for mysql.service failed because the control process exited with error code. See "systemctl status mysql.service" and "journalctl -xe" for details.
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing package mysql-server-5.7 (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of mysql-server:
 mysql-server depends on mysql-server-5.7; however:
  Package mysql-server-5.7 is not configured yet.

dpkg: error processing package mysql-server (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                   Processing triggers for systemd (229-4ubuntu4) ...
Processing triggers for ureadahead (0.100.0-19) ...
Errors were encountered while processing:
 mysql-server-5.7
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

I've tried completely removing it, though doing so attempts to install MariaDB because of dependencies (?). Any suggestions on what I can do to fix this would be most welcome.

EDIT: Looks like I'm not the only one: https://bugs.launchpad.net/ubuntu/+source/mysql-5.7/+bug/1573279


Source: (StackOverflow)

16.04 LTS wifi connection issues

I discovered several issues with wifi connection after installing 16.04 LTS.

First, wifi doesn't reconnect normally after sleep or hibernation. Sometimes the network icon turns into a "up and down arrows"(I don't know what it is for) after waking up but is still connected. Sometimes network is simply lost and it doesn't display any network in the list so there's simply no way to use wifi at all.

I first tried restarting network manager by running sudo service network-manager restart. It worked but was not a permanent resolution.

Then according to another thread, I added SUSPEND_MODULES="iwlwifi"to

/etc/pm/config.d/config

After doing this, the reconnect issue seems to be fixed(can automatically reconnect and icon doesn't change anymore.) However, I find the wifi connection gets lost randomly (about every 30 minutes) even when the computer is running and the network icon remains the connected state when connection is lost.

Another issue after adding the code is, when I put my computer to sleep, the screen will turn off for a second but then turns back on for around 5 seconds(during which the system will cut off wifi connection). And then the computer will go to sleep after this unusual "two-phase" process.

Plz find Wireless Cards info below

*-network               
       description: Wireless interface
       product: RTL8723BE PCIe Wireless Network Adapter
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlp2s0
       version: 00
       serial: b0:c0:90:5c:1c:d5
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=rtl8723be driverversion=4.4.0-21-generic firmware=N/A ip=192.168.0.8 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:16 ioport:d000(size=256) memory:df200000-df203fff

00:00.0 Host bridge: Intel Corporation Sky Lake Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Sky Lake PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Sky Lake Integrated Graphics (rev 06)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-V (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 730] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GK208 HDMI/DP Audio Controller (rev a1)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
03:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller (rev 01)

05/01/2016 Update: I don't know what happened but the issue gets worse now. Wifi connection gets lost about every 5 minutes and I have to reconnect or restart network-manager.


Source: (StackOverflow)

Could not load 'vboxdrv' after upgrade to Ubuntu 16.04 (and I want to keep secure boot)

I upgrade from Ubuntu 15.10 to 16.04 and since then VirtualBox 5.0.18 isn't starting my VMs anymore. It complains that 'vboxdrv' isn't loaded. So I try to load it and get the following error:

$ sudo modprobe vboxdrv
modprobe: ERROR: could not insert 'vboxdrv': Required key not available

I believe it is related to secure boot which I use and which I want to continue using. Actually with Ubuntu 15.10 secure boot and VirtualBox were working just fine.

Also I tried $ sudo apt-get --reinstall install virtualbox-dkms which built the kernel module successfully but didn't solve this issue.

Any idea how to get vboxdrv loaded while keeping secure boot enabled?

Update 2: Also I tried executing sudo mokutil --disable-validation. When executing this command, during the next boot I get prompted to disable secure boot, add a key or hash from disk. Since I don't want to disable secure boot, it seems that this doesn't solve my issue either. Also I want to keep UEFI activated for a parallel Windows installation.

Note: If you don't mind disabling secure boot, see Why do I get "Required key not available" when install DKMS modules in Ubuntu 16.04? instead.


Source: (StackOverflow)

Wifi doesn't work after suspend after 16.04 upgrade

This particular version of the "doesn't work after suspend" came after upgrading to 16.04. It seems that the upgrade includes a Wicd applet (added to Metacity Classic Gnome task bar alongside regular network icon), but doesn't seem to work after a suspend. A sudo service network-manager restart duplicates this problem. It takes a complete reboot to get Wifi going again. Any ideas why?


Source: (StackOverflow)

Application's menu missing from menu bar

I did a fresh install of Ubuntu 16.04 and found that menus for many applications do not show on the menu bar, as it is configured in 'Settings > Appearance'. For example: menus for Filezilla, Geary, Libreoffice Writer and Software center do not show. I have not tested every app, but I can tell you that browsers (Chrome, Firefox) do have their menus on the menu bar. In addition, if I change the configuration to show menus "in the window's title bar", they don't show either.

Any clues?

Best regards.


Source: (StackOverflow)

Annoying flickering in 16.04 LTS - Chrome

I've upgraded from 4.4.0 to 4.4.8 and then 4.5.2 on Ubuntu 16.04 LTS 64-bit, and it's still happening.

At 4.5.2 it's even more frequent, and mainly in Chrome (haven't tried firefox or opera just yet). Every time I open a new web page. Any way to fix that, or is it a bug?

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
04:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XTX [Radeon HD 8890M / R9 M275X/M375X] (rev 81)

Cheers.


Source: (StackOverflow)

Ubuntu Server 16.04 installs on /sdc but fails to boot

I am doing a clean install of Ubuntu Server 16.04 LTS on a machine with a single internal SSD. After completing the install, the system fails to boot and prints a single line fsck output, with the rest of the screen entirely blank.

enter image description here

This very same server installs Ubuntu Server 14.04.4 LTS just fine, so this is very specific to 16.04 LTS. I've tried installing every which way I can think of in 16 and I get the same results every time: installation completes with no errors, but upon reboot I get a black screen with that one line of fsck output after rebooting :(

I noticed that one big difference between 14 and 16 installs on this server machine (which is unexceptional, it's just a generic Broadwell i5 box with 16GB RAM and Samsung 850 EVO SSD) is that Ubuntu 14 detects and installs the drive as /sda whereas Ubuntu 16 detects and installs the drive as /sdc -- furthermore, Ubuntu 16 detects the USB flash drive with the Ubuntu install as /sda! This strikes me as .. very incorrect.

enter image description here

How can I get the Ubuntu Server 16.04 install to stop treating the USB installation drive as /sda?

Edit: per request, here's the output of fdisk after pressing alt+ near the end of the install

fdisk during install

here's the output of

# mkdir /mnt/ssd
# mount /dev/sdc1 /mnt/ssd
# nano /mnt/ssd/etc/fstab

fstab in nano

When I boot into "rescue mode" from the USB install media (no option to boot in recovery mode is presented to me), I get the following options for "device to use as a root file system"

/dev/sda1  
/dev/sda5  
/dev/sdb1  
Assemble RAID array  
Do not use a root file system  

Notice that no /sdc filesystem is detected or shown. However, when I enter console under /sda1 and fdisk -l I do see what I installed as /sdc!

recovery mode fdisk -l

I tried "Reinstall GRUB boot loader" targeting /sda1 and I get an error. I tried it again with /sda as the target, and that seemed to work.

But rebooting, same black screen, single like fsck output unfortunately.


Source: (StackOverflow)

How do I upgrade from 14.04 LTS to 16.04.1 LTS?

So, today is July 21st and this page. gives me an option to download 16.04.1 LTS. However, attempting to upgrade gets me this message -

$ sudo do-release-upgrade
Checking for a new Ubuntu release
No new release found

What is wrong? Does it matter that I am running apt-get update behind apt-cacher-ng?

Note: Commenting out the files in apt.conf.d that used apt-cacher-ng did not make a difference.

Edit: Explanation for possible duplicates: Why is "No new release found" when upgrading from a LTS to the next? deals with upgrade from 12.04LTS to 14.04LTS. My question is specific to 14.04 LTS to 16.04.1 LTS upgrade. Old answers, while good for archival purposes are less relevant in a fast changing package like ubuntu. Moreover none of the answers answer what is wrong. The link andrew.46 pointed out is mentioned in one of the comments. This Q & A is more helpful for people upgrading today than the work around mentioned in "Why is "No new release found" when upgrading from a LTS to the next?".


Source: (StackOverflow)

What is the Ubuntu accessibility for blind people?

Are there specific configurations and packages that could help blind people to use Ubuntu?

Blind people do use computers, and Ubuntu should be accessible to everyone.

It would be interesting to have the testimony of a totally or partially blind person who uses Ubuntu sharing their experience.

(Using Ubuntu 16.04, but I'm open to other Linux distributions)


Source: (StackOverflow)